Bug 428107 - Audio broke with kernel 2.6.23.12-52.fc7
Audio broke with kernel 2.6.23.12-52.fc7
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 04:30 EST by Dimitris
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitris 2008-01-09 04:30:34 EST
Description of problem:

We yum'ed our system from kernel kernel-2.6.23.1-10.fc7.x86_64 to kernel
kernel-2.6.23.12-52.fc7.x86_64 and audio is now broken.

When trying to play something, we get errors like the following:

$ aplay
ALSA lib pcm_direct.c:867:(snd_pcm_direct_initialize_slave)
snd_pcm_hw_params_any failed
ALSA lib pcm_dmix.c:876:(snd_pcm_dmix_open) unable to initialize slave
aplay: main:545: audio open error: Invalid argument



Version-Release number of selected component (if applicable):

kernel-2.6.23.12-52.fc7.x86_64


How reproducible:

Always

Steps to Reproduce:
1. yum update to latest kernel
2. try to play something

  
Actual results:

errors when trying to play audio.

Expected results:

hear audio play.

Additional info:

Hardware information:

IBM ThinkPad R61

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 03)

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 03)
        Subsystem: Lenovo Unknown device 20ac
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at fe220000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [70] Express Unknown type IRQ 0
Comment 1 Chuck Ebbert 2008-01-09 14:39:48 EST
Does booting back to the older kernel still work?

A lot has changed since 2.6.23.1, so it is hard to tell what may have caused this...
Comment 2 Dimitris 2008-01-10 04:56:08 EST
My mistake, 2.6.23.1 is also broken, due to ALSA 1.0.14 having a broken
"hda-intel" module, which carried over to kernel 2.6.23.12, which also uses ALSA
1.0.14.

It seems the solution is to upgrade to ALSA 1.0.15, as seen in:
http://alsa-project.org/main/index.php/Changes_v1.0.14_v1.0.15
Comment 3 Chuck Ebbert 2008-01-10 11:55:44 EST
Fedora 8 kernel has ALSA 1.0.15
Comment 4 Dimitris 2008-01-10 13:55:57 EST
Is it possible to include ALSA 1.0.15 in a Fedora 7 kernel?
Comment 5 Christopher Brown 2008-01-15 23:56:45 EST
Dimitris,

Are you able to test first to confirm this works for you?
Comment 6 Dimitris 2008-01-16 02:07:13 EST
I enabled the "development" repository and installed the latest kernel
(2.6.24-0.150.rc7.git4.fc9), which is able to play audio without a problem.

I would have kept this kernel, unfortunately this kernel only runs on runlevel
3, if i try to boot to runlevel 5 then the system freezes when X tries to load
itself.

Also, there are loads of weird error messages when the kernel boots, like:
"Cannot access hardware clock via any known method".


Comment 7 Christopher Brown 2008-01-16 08:21:02 EST
Okay, thanks for the update. I suggest you wait until a 2.6.24 Fedora 8 kernel
arrives (which shouldn't be long) and test with that, then update this bug.
Comment 8 Christopher Brown 2008-01-16 08:22:02 EST
(In reply to comment #7)
> Okay, thanks for the update. I suggest you wait until a 2.6.24 Fedora 8 kernel

Sorry, make that a 2.6.24 Fedora 7 kernel...
Comment 9 Dimitris 2008-01-17 06:28:53 EST
No problem, thank you for taking the time to help me.
Comment 10 Christopher Brown 2008-01-17 10:07:58 EST
My pleasure. I'll leave this at NEEDINFO for the moment so we know we're waiting
on you to test...
Comment 11 Chuck Ebbert 2008-01-22 19:50:52 EST
The Fedora 8 kernel should work fine on Fedora 7.

Differences between the two are documented at:

https://fedoraproject.org/wiki/KernelCommonProblems
Comment 12 Dimitris 2008-01-23 00:05:57 EST
I'll wait for an official F7 kernel, due to several kernel-specific modules that
i'm running, which are provided by 3rd party repositories (livna, freshrpms, etc).
Comment 13 Christopher Brown 2008-01-23 08:44:44 EST
Okay, setting back to NEEDINFO so we know we're waiting on you to test then.
Thanks for the update.
Comment 14 Brian Powell 2008-04-25 00:55:20 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.